diff --git a/android/guava/src/com/google/common/collect/ArrayTable.java b/android/guava/src/com/google/common/collect/ArrayTable.java
index ebc9fa0..267522e 100644
--- a/android/guava/src/com/google/common/collect/ArrayTable.java
+++ b/android/guava/src/com/google/common/collect/ArrayTable.java
@@ -21,14 +21,8 @@ import static com.google.common.base.Preconditions.checkElementIndex;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static java.util.Collections.emptyMap;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Objects;
 import com.google.common.collect.Maps.IteratorBasedAbstractMap;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.DoNotCall;
-import com.google.j2objc.annotations.WeakOuter;
 import java.io.Serializable;
 import java.lang.reflect.Array;
 import java.util.Arrays;
@@ -37,7 +31,6 @@ import java.util.Iterator;
 import java.util.Map;
 import java.util.Set;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Fixed-size {@link Table} implementation backed by a two-dimensional array.
@@ -88,10 +81,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Jared Levy
  * @since 10.0
  */
-@Beta
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
-public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
+public final class ArrayTable<R, C, V> extends AbstractTable<R, C, V>
     implements Serializable {
 
   /**
@@ -144,7 +135,7 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
   // TODO(jlevy): Add getters returning rowKeyToIndex and columnKeyToIndex?
   private final ImmutableMap<R, Integer> rowKeyToIndex;
   private final ImmutableMap<C, Integer> columnKeyToIndex;
-  private final @Nullable V[][] array;
+  private final V[][] array;
 
   private ArrayTable(Iterable<? extends R> rowKeys, Iterable<? extends C> columnKeys) {
     this.rowList = ImmutableList.copyOf(rowKeys);
@@ -161,7 +152,6 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
     columnKeyToIndex = Maps.indexMap(columnList);
 
     @SuppressWarnings("unchecked")
-    @Nullable
     V[][] tmpArray = (@Nullable V[][]) new Object[rowList.size()][columnList.size()];
     array = tmpArray;
     // Necessary because in GWT the arrays are initialized with "undefined" instead of null.
@@ -179,7 +169,6 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
     rowKeyToIndex = table.rowKeyToIndex;
     columnKeyToIndex = table.columnKeyToIndex;
     @SuppressWarnings("unchecked")
-    @Nullable
     V[][] copy = (@Nullable V[][]) new Object[rowList.size()][columnList.size()];
     array = copy;
     for (int i = 0; i < rowList.size(); i++) {
@@ -187,7 +176,7 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
     }
   }
 
-  private abstract static class ArrayMap<K, V extends @Nullable Object>
+  private abstract static class ArrayMap<K, V extends Object>
       extends IteratorBasedAbstractMap<K, V> {
     private final ImmutableMap<K, Integer> keyIndex;
 
@@ -344,7 +333,6 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    *     or equal to the number of allowed row keys, or {@code columnIndex} is greater than or equal
    *     to the number of allowed column keys
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   public V set(int rowIndex, int columnIndex, @CheckForNull V value) {
     // In GWT array access never throws IndexOutOfBoundsException.
@@ -364,10 +352,9 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    *
    * @param valueClass class of values stored in the returned array
    */
-  @GwtIncompatible // reflection
-  public @Nullable V[][] toArray(Class<V> valueClass) {
+  // reflection
+  public V[][] toArray(Class<V> valueClass) {
     @SuppressWarnings("unchecked") // TODO: safe?
-    @Nullable
     V[][] copy = (@Nullable V[][]) Array.newInstance(valueClass, rowList.size(), columnList.size());
     for (int i = 0; i < rowList.size(); i++) {
       System.arraycopy(array[i], 0, copy[i], 0, array[i].length);
@@ -381,7 +368,6 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    * @throws UnsupportedOperationException always
    * @deprecated Use {@link #eraseAll}
    */
-  @DoNotCall("Always throws UnsupportedOperationException")
   @Override
   @Deprecated
   public void clear() {
@@ -456,7 +442,6 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    * @throws IllegalArgumentException if {@code rowKey} is not in {@link #rowKeySet()} or {@code
    *     columnKey} is not in {@link #columnKeySet()}.
    */
-  @CanIgnoreReturnValue
   @Override
   @CheckForNull
   public V put(R rowKey, C columnKey, @CheckForNull V value) {
@@ -495,8 +480,6 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    * @throws UnsupportedOperationException always
    * @deprecated Use {@link #erase}
    */
-  @DoNotCall("Always throws UnsupportedOperationException")
-  @CanIgnoreReturnValue
   @Override
   @Deprecated
   @CheckForNull
@@ -517,7 +500,6 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    * @return the value previously associated with the keys, or {@code null} if no mapping existed
    *     for the keys
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   public V erase(@CheckForNull Object rowKey, @CheckForNull Object columnKey) {
     Integer rowIndex = rowKeyToIndex.get(rowKey);
@@ -547,22 +529,22 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    * @return set of table cells consisting of row key / column key / value triplets
    */
   @Override
-  public Set<Cell<R, C, @Nullable V>> cellSet() {
+  public Set<Cell<R, C, V>> cellSet() {
     return super.cellSet();
   }
 
   @Override
-  Iterator<Cell<R, C, @Nullable V>> cellIterator() {
-    return new AbstractIndexedListIterator<Cell<R, C, @Nullable V>>(size()) {
+  Iterator<Cell<R, C, V>> cellIterator() {
+    return new AbstractIndexedListIterator<Cell<R, C, V>>(size()) {
       @Override
-      protected Cell<R, C, @Nullable V> get(final int index) {
+      protected Cell<R, C, V> get(final int index) {
         return getCell(index);
       }
     };
   }
 
-  private Cell<R, C, @Nullable V> getCell(final int index) {
-    return new Tables.AbstractCell<R, C, @Nullable V>() {
+  private Cell<R, C, V> getCell(final int index) {
+    return new Tables.AbstractCell<R, C, V>() {
       final int rowIndex = index / columnList.size();
       final int columnIndex = index % columnList.size();
 
@@ -603,7 +585,7 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    * @return the corresponding map from row keys to values
    */
   @Override
-  public Map<R, @Nullable V> column(C columnKey) {
+  public Map<R, V> column(C columnKey) {
     checkNotNull(columnKey);
     Integer columnIndex = columnKeyToIndex.get(columnKey);
     if (columnIndex == null) {
@@ -613,7 +595,7 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
     }
   }
 
-  private class Column extends ArrayMap<R, @Nullable V> {
+  private class Column extends ArrayMap<R, V> {
     final int columnIndex;
 
     Column(int columnIndex) {
@@ -653,13 +635,12 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
   @CheckForNull private transient ColumnMap columnMap;
 
   @Override
-  public Map<C, Map<R, @Nullable V>> columnMap() {
+  public Map<C, Map<R, V>> columnMap() {
     ColumnMap map = columnMap;
     return (map == null) ? columnMap = new ColumnMap() : map;
   }
 
-  @WeakOuter
-  private class ColumnMap extends ArrayMap<C, Map<R, @Nullable V>> {
+  private class ColumnMap extends ArrayMap<C, Map<R, V>> {
     private ColumnMap() {
       super(columnKeyToIndex);
     }
@@ -670,18 +651,18 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
     }
 
     @Override
-    Map<R, @Nullable V> getValue(int index) {
+    Map<R, V> getValue(int index) {
       return new Column(index);
     }
 
     @Override
-    Map<R, @Nullable V> setValue(int index, Map<R, @Nullable V> newValue) {
+    Map<R, V> setValue(int index, Map<R, @Nullable V> newValue) {
       throw new UnsupportedOperationException();
     }
 
     @Override
     @CheckForNull
-    public Map<R, @Nullable V> put(C key, Map<R, @Nullable V> value) {
+    public Map<R, V> put(C key, Map<R, @Nullable V> value) {
       throw new UnsupportedOperationException();
     }
   }
@@ -698,7 +679,7 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    * @return the corresponding map from column keys to values
    */
   @Override
-  public Map<C, @Nullable V> row(R rowKey) {
+  public Map<C, V> row(R rowKey) {
     checkNotNull(rowKey);
     Integer rowIndex = rowKeyToIndex.get(rowKey);
     if (rowIndex == null) {
@@ -708,7 +689,7 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
     }
   }
 
-  private class Row extends ArrayMap<C, @Nullable V> {
+  private class Row extends ArrayMap<C, V> {
     final int rowIndex;
 
     Row(int rowIndex) {
@@ -748,13 +729,12 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
   @CheckForNull private transient RowMap rowMap;
 
   @Override
-  public Map<R, Map<C, @Nullable V>> rowMap() {
+  public Map<R, Map<C, V>> rowMap() {
     RowMap map = rowMap;
     return (map == null) ? rowMap = new RowMap() : map;
   }
 
-  @WeakOuter
-  private class RowMap extends ArrayMap<R, Map<C, @Nullable V>> {
+  private class RowMap extends ArrayMap<R, Map<C, V>> {
     private RowMap() {
       super(rowKeyToIndex);
     }
@@ -765,18 +745,18 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
     }
 
     @Override
-    Map<C, @Nullable V> getValue(int index) {
+    Map<C, V> getValue(int index) {
       return new Row(index);
     }
 
     @Override
-    Map<C, @Nullable V> setValue(int index, Map<C, @Nullable V> newValue) {
+    Map<C, V> setValue(int index, Map<C, @Nullable V> newValue) {
       throw new UnsupportedOperationException();
     }
 
     @Override
     @CheckForNull
-    public Map<C, @Nullable V> put(R key, Map<C, @Nullable V> value) {
+    public Map<C, V> put(R key, Map<C, @Nullable V> value) {
       throw new UnsupportedOperationException();
     }
   }
@@ -791,13 +771,13 @@ public final class ArrayTable<R, C, V> extends AbstractTable<R, C, @Nullable V>
    * @return collection of values
    */
   @Override
-  public Collection<@Nullable V> values() {
+  public Collection<V> values() {
     return super.values();
   }
 
   @Override
-  Iterator<@Nullable V> valuesIterator() {
-    return new AbstractIndexedListIterator<@Nullable V>(size()) {
+  Iterator<V> valuesIterator() {
+    return new AbstractIndexedListIterator<V>(size()) {
       @Override
       @CheckForNull
       protected V get(int index) {
diff --git a/android/guava/src/com/google/common/collect/BaseImmutableMultimap.java b/android/guava/src/com/google/common/collect/BaseImmutableMultimap.java
index 2e69c2a..d212bf4 100644
--- a/android/guava/src/com/google/common/collect/BaseImmutableMultimap.java
+++ b/android/guava/src/com/google/common/collect/BaseImmutableMultimap.java
@@ -15,12 +15,10 @@
  */
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * A dummy superclass of {@link ImmutableMultimap} that can be instanceof'd without ProGuard
  * retaining additional implementation details of {@link ImmutableMultimap}.
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 abstract class BaseImmutableMultimap<K, V> extends AbstractMultimap<K, V> {}
diff --git a/android/guava/src/com/google/common/collect/BiMap.java b/android/guava/src/com/google/common/collect/BiMap.java
index 12eb4e3..eb7d891 100644
--- a/android/guava/src/com/google/common/collect/BiMap.java
+++ b/android/guava/src/com/google/common/collect/BiMap.java
@@ -16,12 +16,9 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Map;
 import java.util.Set;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A bimap (or "bidirectional map") is a map that preserves the uniqueness of its values as well as
@@ -34,9 +31,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public interface BiMap<K extends @Nullable Object, V extends @Nullable Object> extends Map<K, V> {
+public interface BiMap<K extends Object, V extends Object> extends Map<K, V> {
   // Modification Operations
 
   /**
@@ -46,7 +42,6 @@ public interface BiMap<K extends @Nullable Object, V extends @Nullable Object> e
    *     bimap. The bimap will remain unmodified in this event. To avoid this exception, call {@link
    *     #forcePut} instead.
    */
-  @CanIgnoreReturnValue
   @Override
   @CheckForNull
   V put(@ParametricNullness K key, @ParametricNullness V value);
@@ -69,7 +64,6 @@ public interface BiMap<K extends @Nullable Object, V extends @Nullable Object> e
    *     put}, returns {@code null} both if the key is absent and if it is present with a null
    *     value.)
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   V forcePut(@ParametricNullness K key, @ParametricNullness V value);
 
diff --git a/android/guava/src/com/google/common/collect/BoundType.java b/android/guava/src/com/google/common/collect/BoundType.java
index 00ac08c..1387a45 100644
--- a/android/guava/src/com/google/common/collect/BoundType.java
+++ b/android/guava/src/com/google/common/collect/BoundType.java
@@ -14,7 +14,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Indicates whether an endpoint of some range is contained in the range itself ("closed") or not
@@ -23,7 +22,6 @@ import com.google.common.annotations.GwtCompatible;
  *
  * @since 10.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public enum BoundType {
   /** The endpoint value <i>is not</i> considered part of the set ("exclusive"). */
diff --git a/android/guava/src/com/google/common/collect/ByFunctionOrdering.java b/android/guava/src/com/google/common/collect/ByFunctionOrdering.java
index 43ebddd..82cff0d 100644
--- a/android/guava/src/com/google/common/collect/ByFunctionOrdering.java
+++ b/android/guava/src/com/google/common/collect/ByFunctionOrdering.java
@@ -18,20 +18,17 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Objects;
 import java.io.Serializable;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * An ordering that orders elements by applying an order to the result of a function on those
  * elements.
  */
-@GwtCompatible(serializable = true)
 @ElementTypesAreNonnullByDefault
-final class ByFunctionOrdering<F extends @Nullable Object, T extends @Nullable Object>
+final class ByFunctionOrdering<F extends Object, T extends Object>
     extends Ordering<F> implements Serializable {
   final Function<F, ? extends T> function;
   final Ordering<T> ordering;
diff --git a/android/guava/src/com/google/common/collect/CartesianList.java b/android/guava/src/com/google/common/collect/CartesianList.java
index 475b3f2..bf290a0 100644
--- a/android/guava/src/com/google/common/collect/CartesianList.java
+++ b/android/guava/src/com/google/common/collect/CartesianList.java
@@ -16,7 +16,6 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkElementIndex;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.math.IntMath;
 import java.util.AbstractList;
 import java.util.List;
@@ -29,7 +28,6 @@ import javax.annotation.CheckForNull;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 final class CartesianList<E> extends AbstractList<List<E>> implements RandomAccess {
 
diff --git a/android/guava/src/com/google/common/collect/ClassToInstanceMap.java b/android/guava/src/com/google/common/collect/ClassToInstanceMap.java
index 9bd826f..c6b0da4 100644
--- a/android/guava/src/com/google/common/collect/ClassToInstanceMap.java
+++ b/android/guava/src/com/google/common/collect/ClassToInstanceMap.java
@@ -16,9 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.DoNotMock;
 import java.util.Map;
 import javax.annotation.CheckForNull;
 
@@ -52,8 +49,6 @@ import javax.annotation.CheckForNull;
  * @author Kevin Bourrillion
  * @since 2.0
  */
-@DoNotMock("Use ImmutableClassToInstanceMap or MutableClassToInstanceMap")
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 // If we ever support non-null projections (https://github.com/jspecify/jspecify/issues/86), we
 // we might annotate this as...
@@ -75,7 +70,6 @@ public interface ClassToInstanceMap<B> extends Map<Class<? extends B>, B> {
    * @return the value previously associated with this class (possibly {@code null}), or {@code
    *     null} if there was no previous entry.
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   <T extends B> T putInstance(Class<T> type, T value);
 }
diff --git a/android/guava/src/com/google/common/collect/CollectPreconditions.java b/android/guava/src/com/google/common/collect/CollectPreconditions.java
index c649b03..a9fa1cd 100644
--- a/android/guava/src/com/google/common/collect/CollectPreconditions.java
+++ b/android/guava/src/com/google/common/collect/CollectPreconditions.java
@@ -18,11 +18,8 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkState;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 
 /** Precondition checks useful in collection implementations. */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 final class CollectPreconditions {
 
@@ -34,7 +31,6 @@ final class CollectPreconditions {
     }
   }
 
-  @CanIgnoreReturnValue
   static int checkNonnegative(int value, String name) {
     if (value < 0) {
       throw new IllegalArgumentException(name + " cannot be negative but was: " + value);
@@ -42,7 +38,6 @@ final class CollectPreconditions {
     return value;
   }
 
-  @CanIgnoreReturnValue
   static long checkNonnegative(long value, String name) {
     if (value < 0) {
       throw new IllegalArgumentException(name + " cannot be negative but was: " + value);
diff --git a/android/guava/src/com/google/common/collect/Collections2.java b/android/guava/src/com/google/common/collect/Collections2.java
index 1e651b5..1e5e13c 100644
--- a/android/guava/src/com/google/common/collect/Collections2.java
+++ b/android/guava/src/com/google/common/collect/Collections2.java
@@ -19,10 +19,7 @@ package com.google.common.collect;
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.collect.CollectPreconditions.checkNonnegative;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Predicate;
 import com.google.common.base.Predicates;
@@ -37,7 +34,6 @@ import java.util.Comparator;
 import java.util.Iterator;
 import java.util.List;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Provides static methods for working with {@code Collection} instances.
@@ -52,7 +48,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Jared Levy
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class Collections2 {
   private Collections2() {}
@@ -84,7 +79,7 @@ public final class Collections2 {
    */
   // TODO(kevinb): how can we omit that Iterables link when building gwt
   // javadoc?
-  public static <E extends @Nullable Object> Collection<E> filter(
+  public static <E extends Object> Collection<E> filter(
       Collection<E> unfiltered, Predicate<? super E> predicate) {
     if (unfiltered instanceof FilteredCollection) {
       // Support clear(), removeAll(), and retainAll() when filtering a filtered
@@ -121,7 +116,7 @@ public final class Collections2 {
     }
   }
 
-  static class FilteredCollection<E extends @Nullable Object> extends AbstractCollection<E> {
+  static class FilteredCollection<E extends Object> extends AbstractCollection<E> {
     final Collection<E> unfiltered;
     final Predicate<? super E> predicate;
 
@@ -224,14 +219,14 @@ public final class Collections2 {
     }
 
     @Override
-    public @Nullable Object[] toArray() {
+    public Object[] toArray() {
       // creating an ArrayList so filtering happens once
       return Lists.newArrayList(iterator()).toArray();
     }
 
     @Override
     @SuppressWarnings("nullness") // b/192354773 in our checker affects toArray declarations
-    public <T extends @Nullable Object> T[] toArray(T[] array) {
+    public <T extends Object> T[] toArray(T[] array) {
       return Lists.newArrayList(iterator()).toArray(array);
     }
   }
@@ -255,12 +250,12 @@ public final class Collections2 {
    *
    * <p><b>{@code Stream} equivalent:</b> {@link java.util.stream.Stream#map Stream.map}.
    */
-  public static <F extends @Nullable Object, T extends @Nullable Object> Collection<T> transform(
+  public static <F extends Object, T extends Object> Collection<T> transform(
       Collection<F> fromCollection, Function<? super F, T> function) {
     return new TransformedCollection<>(fromCollection, function);
   }
 
-  static class TransformedCollection<F extends @Nullable Object, T extends @Nullable Object>
+  static class TransformedCollection<F extends Object, T extends Object>
       extends AbstractCollection<T> {
     final Collection<F> fromCollection;
     final Function<? super F, ? extends T> function;
@@ -357,7 +352,6 @@ public final class Collections2 {
    * @throws NullPointerException if the specified iterable is null or has any null elements.
    * @since 12.0
    */
-  @Beta
   public static <E extends Comparable<? super E>> Collection<List<E>> orderedPermutations(
       Iterable<E> elements) {
     return orderedPermutations(elements, Ordering.natural());
@@ -409,7 +403,6 @@ public final class Collections2 {
    *     the specified comparator is null.
    * @since 12.0
    */
-  @Beta
   public static <E> Collection<List<E>> orderedPermutations(
       Iterable<E> elements, Comparator<? super E> comparator) {
     return new OrderedPermutationCollection<E>(elements, comparator);
@@ -571,7 +564,6 @@ public final class Collections2 {
    * @throws NullPointerException if the specified collection is null or has any null elements.
    * @since 12.0
    */
-  @Beta
   public static <E> Collection<List<E>> permutations(Collection<E> elements) {
     return new PermutationCollection<E>(ImmutableList.copyOf(elements));
   }
